import { db } from "@/lib/db";
import { getCurrentUser } from "@/lib/session";
import { revalidatePath } from "next/cache";
import { NextRequest, NextResponse } from "next/server";

export async function PUT(req: NextRequest) {
	const user = await getCurrentUser();

	if (!user) {
		return NextResponse.json({ status: 401, message: 'Unauthorized' });
	}

	const userId = user.id;
	const content = await req.json()

	console.log(content);
	console.log(userId);
	try {
		await db.user.update({
            where:{
                id: userId
            },
			data: {
                favGameList:{
                    push: content.gameId
                }
			}
		})
		const path = req.nextUrl.searchParams.get('path') || '/';
		revalidatePath(path);

		return NextResponse.json({ status: 201, message: 'Game Hinzugefügt' })

	} catch (error: any) {
		return NextResponse.json({ status: 500, message: error.message })
	}
}